com.tibbo.aggregate.common.view

## Class StorageGraphHelper

- java.lang.Object
- - com.tibbo.aggregate.common.view.StorageGraphHelper

-     public class StorageGraphHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `F_GRAPH_CLOSE`
    `static java.lang.String` | `F_GRAPH_DELETE_EDGE`
    `static java.lang.String` | `F_GRAPH_DELETE_NODE`
    `static java.lang.String` | `F_GRAPH_GET`
    `static java.lang.String` | `F_GRAPH_INSERT_EDGE`
    `static java.lang.String` | `F_GRAPH_INSERT_NODE`
    `static java.lang.String` | `F_GRAPH_OPEN`
    `static java.lang.String` | `F_GRAPH_UPDATE_EDGE`
    `static java.lang.String` | `F_GRAPH_UPDATE_NODE`
    `static FunctionDefinition` | `FD_GRAPH_CLOSE`
    `static FunctionDefinition` | `FD_GRAPH_DELETE_EDGE`
    `static FunctionDefinition` | `FD_GRAPH_DELETE_NODE`
    `static FunctionDefinition` | `FD_GRAPH_GET`
    `static FunctionDefinition` | `FD_GRAPH_INSERT_EDGE`
    `static FunctionDefinition` | `FD_GRAPH_INSERT_NODE`
    `static FunctionDefinition` | `FD_GRAPH_OPEN`
    `static FunctionDefinition` | `FD_GRAPH_UPDATE_EDGE`
    `static FunctionDefinition` | `FD_GRAPH_UPDATE_NODE`
    `static java.lang.String` | `FIELD_LINK_PROPERTIES`
    `static java.lang.String` | `FIELD_LINK_PROPERTIES_PROPERTY`
    `static java.lang.String` | `FIELD_LINK_PROPERTIES_VALUE`
    `static java.lang.String` | `FIELD_LINK_SOURCE`
    `static java.lang.String` | `FIELD_LINK_TARGET`
    `static java.lang.String` | `FIELD_LINK_TYPE`
    `static java.lang.String` | `FIELD_NODE_ID`
    `static java.lang.String` | `FIELD_NODE_PROPERTIES`
    `static java.lang.String` | `FIELD_NODE_PROPERTIES_PROPERTY`
    `static java.lang.String` | `FIELD_NODE_PROPERTIES_VALUE`
    `static java.lang.String` | `FIELD_NODE_TYPE`
    `static java.lang.String` | `FIF_GRAPH_CLOSE_ID`
    `static java.lang.String` | `FIF_GRAPH_DELETE_EDGE_EDGE_ID`
    `static java.lang.String` | `FIF_GRAPH_DELETE_EDGE_ID`
    `static java.lang.String` | `FIF_GRAPH_DELETE_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_DELETE_NODE_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_GET_DEPTH`
    `static java.lang.String` | `FIF_GRAPH_GET_ID`
    `static java.lang.String` | `FIF_GRAPH_GET_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_INSERT_EDGE_ID`
    `static java.lang.String` | `FIF_GRAPH_INSERT_EDGE_IN_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_INSERT_EDGE_LABEL`
    `static java.lang.String` | `FIF_GRAPH_INSERT_EDGE_OUT_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_INSERT_EDGE_PROPERTIES`
    `static java.lang.String` | `FIF_GRAPH_INSERT_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_INSERT_NODE_LABEL`
    `static java.lang.String` | `FIF_GRAPH_INSERT_NODE_PROPERTIES`
    `static java.lang.String` | `FIF_GRAPH_OPEN_QUERY`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_EDGE_EDGE_ID`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_EDGE_ID`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_EDGE_PROPERTIES`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_NODE_NODE_ID`
    `static java.lang.String` | `FIF_GRAPH_UPDATE_NODE_PROPERTIES`
    `static TableFormat` | `FIFT_GRAPH_CLOSE`
    `static TableFormat` | `FIFT_GRAPH_DELETE_EDGE`
    `static TableFormat` | `FIFT_GRAPH_DELETE_NODE`
    `static TableFormat` | `FIFT_GRAPH_GET`
    `static TableFormat` | `FIFT_GRAPH_INSERT_EDGE`
    `static TableFormat` | `FIFT_GRAPH_INSERT_NODE`
    `static TableFormat` | `FIFT_GRAPH_OPEN`
    `static TableFormat` | `FIFT_GRAPH_UPDATE_EDGE`
    `static TableFormat` | `FIFT_GRAPH_UPDATE_NODE`
    `static java.lang.String` | `FOF_GRAPH_GET_LINKS`
    `static java.lang.String` | `FOF_GRAPH_GET_NODES`
    `static java.lang.String` | `FOF_GRAPH_INSERT_EDGE_EDGE_ID`
    `static java.lang.String` | `FOF_GRAPH_INSERT_NODE_NODE_ID`
    `static java.lang.String` | `FOF_GRAPH_OPEN_ID`
    `static TableFormat` | `FOFT_GRAPH_GET`
    `static TableFormat` | `FOFT_GRAPH_INSERT_EDGE`
    `static TableFormat` | `FOFT_GRAPH_INSERT_NODE`
    `static TableFormat` | `FOFT_GRAPH_OPEN`
    `static TableFormat` | `FORMAT_LINK`
    `static TableFormat` | `FORMAT_LINK_PROPERTIES`
    `static TableFormat` | `FORMAT_NODE`
    `static TableFormat` | `FORMAT_NODE_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageGraphHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<FunctionDefinition>` | `getGraphFunctionDefinitions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_GRAPH_OPEN

          public static final java.lang.String F_GRAPH_OPEN

      See Also:
        Constant Field Values

    - #### F_GRAPH_CLOSE

          public static final java.lang.String F_GRAPH_CLOSE

      See Also:
        Constant Field Values

    - #### F_GRAPH_GET

          public static final java.lang.String F_GRAPH_GET

      See Also:
        Constant Field Values

    - #### F_GRAPH_INSERT_NODE

          public static final java.lang.String F_GRAPH_INSERT_NODE

      See Also:
        Constant Field Values

    - #### F_GRAPH_UPDATE_NODE

          public static final java.lang.String F_GRAPH_UPDATE_NODE

      See Also:
        Constant Field Values

    - #### F_GRAPH_DELETE_NODE

          public static final java.lang.String F_GRAPH_DELETE_NODE

      See Also:
        Constant Field Values

    - #### F_GRAPH_INSERT_EDGE

          public static final java.lang.String F_GRAPH_INSERT_EDGE

      See Also:
        Constant Field Values

    - #### F_GRAPH_UPDATE_EDGE

          public static final java.lang.String F_GRAPH_UPDATE_EDGE

      See Also:
        Constant Field Values

    - #### F_GRAPH_DELETE_EDGE

          public static final java.lang.String F_GRAPH_DELETE_EDGE

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_OPEN_QUERY

          public static final java.lang.String FIF_GRAPH_OPEN_QUERY

      See Also:
        Constant Field Values

    - #### FOF_GRAPH_OPEN_ID

          public static final java.lang.String FOF_GRAPH_OPEN_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_CLOSE_ID

          public static final java.lang.String FIF_GRAPH_CLOSE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_GET_ID

          public static final java.lang.String FIF_GRAPH_GET_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_GET_NODE_ID

          public static final java.lang.String FIF_GRAPH_GET_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_GET_DEPTH

          public static final java.lang.String FIF_GRAPH_GET_DEPTH

      See Also:
        Constant Field Values

    - #### FOF_GRAPH_GET_NODES

          public static final java.lang.String FOF_GRAPH_GET_NODES

      See Also:
        Constant Field Values

    - #### FOF_GRAPH_GET_LINKS

          public static final java.lang.String FOF_GRAPH_GET_LINKS

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_NODE_ID

          public static final java.lang.String FIF_GRAPH_INSERT_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_NODE_LABEL

          public static final java.lang.String FIF_GRAPH_INSERT_NODE_LABEL

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_NODE_PROPERTIES

          public static final java.lang.String FIF_GRAPH_INSERT_NODE_PROPERTIES

      See Also:
        Constant Field Values

    - #### FOF_GRAPH_INSERT_NODE_NODE_ID

          public static final java.lang.String FOF_GRAPH_INSERT_NODE_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_NODE_ID

          public static final java.lang.String FIF_GRAPH_UPDATE_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_NODE_NODE_ID

          public static final java.lang.String FIF_GRAPH_UPDATE_NODE_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_NODE_PROPERTIES

          public static final java.lang.String FIF_GRAPH_UPDATE_NODE_PROPERTIES

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_DELETE_NODE_ID

          public static final java.lang.String FIF_GRAPH_DELETE_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_DELETE_NODE_NODE_ID

          public static final java.lang.String FIF_GRAPH_DELETE_NODE_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_EDGE_ID

          public static final java.lang.String FIF_GRAPH_INSERT_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_EDGE_LABEL

          public static final java.lang.String FIF_GRAPH_INSERT_EDGE_LABEL

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_EDGE_OUT_NODE_ID

          public static final java.lang.String FIF_GRAPH_INSERT_EDGE_OUT_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_EDGE_IN_NODE_ID

          public static final java.lang.String FIF_GRAPH_INSERT_EDGE_IN_NODE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_INSERT_EDGE_PROPERTIES

          public static final java.lang.String FIF_GRAPH_INSERT_EDGE_PROPERTIES

      See Also:
        Constant Field Values

    - #### FOF_GRAPH_INSERT_EDGE_EDGE_ID

          public static final java.lang.String FOF_GRAPH_INSERT_EDGE_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_EDGE_ID

          public static final java.lang.String FIF_GRAPH_UPDATE_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_EDGE_EDGE_ID

          public static final java.lang.String FIF_GRAPH_UPDATE_EDGE_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_UPDATE_EDGE_PROPERTIES

          public static final java.lang.String FIF_GRAPH_UPDATE_EDGE_PROPERTIES

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_DELETE_EDGE_ID

          public static final java.lang.String FIF_GRAPH_DELETE_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIF_GRAPH_DELETE_EDGE_EDGE_ID

          public static final java.lang.String FIF_GRAPH_DELETE_EDGE_EDGE_ID

      See Also:
        Constant Field Values

    - #### FIELD_NODE_PROPERTIES_PROPERTY

          public static final java.lang.String FIELD_NODE_PROPERTIES_PROPERTY

      See Also:
        Constant Field Values

    - #### FIELD_NODE_PROPERTIES_VALUE

          public static final java.lang.String FIELD_NODE_PROPERTIES_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_NODE_ID

          public static final java.lang.String FIELD_NODE_ID

      See Also:
        Constant Field Values

    - #### FIELD_NODE_TYPE

          public static final java.lang.String FIELD_NODE_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_NODE_PROPERTIES

          public static final java.lang.String FIELD_NODE_PROPERTIES

      See Also:
        Constant Field Values

    - #### FIELD_LINK_PROPERTIES_PROPERTY

          public static final java.lang.String FIELD_LINK_PROPERTIES_PROPERTY

      See Also:
        Constant Field Values

    - #### FIELD_LINK_PROPERTIES_VALUE

          public static final java.lang.String FIELD_LINK_PROPERTIES_VALUE

      See Also:
        Constant Field Values

    - #### FIELD_LINK_TYPE

          public static final java.lang.String FIELD_LINK_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_LINK_SOURCE

          public static final java.lang.String FIELD_LINK_SOURCE

      See Also:
        Constant Field Values

    - #### FIELD_LINK_TARGET

          public static final java.lang.String FIELD_LINK_TARGET

      See Also:
        Constant Field Values

    - #### FIELD_LINK_PROPERTIES

          public static final java.lang.String FIELD_LINK_PROPERTIES

      See Also:
        Constant Field Values

    - #### FORMAT_NODE_PROPERTIES

          public static final TableFormat FORMAT_NODE_PROPERTIES

    - #### FORMAT_NODE

          public static final TableFormat FORMAT_NODE

    - #### FORMAT_LINK_PROPERTIES

          public static final TableFormat FORMAT_LINK_PROPERTIES

    - #### FORMAT_LINK

          public static final TableFormat FORMAT_LINK

    - #### FIFT_GRAPH_OPEN

          public static final TableFormat FIFT_GRAPH_OPEN

    - #### FOFT_GRAPH_OPEN

          public static final TableFormat FOFT_GRAPH_OPEN

    - #### FIFT_GRAPH_CLOSE

          public static final TableFormat FIFT_GRAPH_CLOSE

    - #### FIFT_GRAPH_GET

          public static final TableFormat FIFT_GRAPH_GET

    - #### FOFT_GRAPH_GET

          public static final TableFormat FOFT_GRAPH_GET

    - #### FIFT_GRAPH_INSERT_NODE

          public static final TableFormat FIFT_GRAPH_INSERT_NODE

    - #### FOFT_GRAPH_INSERT_NODE

          public static final TableFormat FOFT_GRAPH_INSERT_NODE

    - #### FIFT_GRAPH_UPDATE_NODE

          public static final TableFormat FIFT_GRAPH_UPDATE_NODE

    - #### FIFT_GRAPH_DELETE_NODE

          public static final TableFormat FIFT_GRAPH_DELETE_NODE

    - #### FIFT_GRAPH_INSERT_EDGE

          public static final TableFormat FIFT_GRAPH_INSERT_EDGE

    - #### FOFT_GRAPH_INSERT_EDGE

          public static final TableFormat FOFT_GRAPH_INSERT_EDGE

    - #### FIFT_GRAPH_UPDATE_EDGE

          public static final TableFormat FIFT_GRAPH_UPDATE_EDGE

    - #### FIFT_GRAPH_DELETE_EDGE

          public static final TableFormat FIFT_GRAPH_DELETE_EDGE

    - #### FD_GRAPH_OPEN

          public static final FunctionDefinition FD_GRAPH_OPEN

    - #### FD_GRAPH_CLOSE

          public static final FunctionDefinition FD_GRAPH_CLOSE

    - #### FD_GRAPH_GET

          public static final FunctionDefinition FD_GRAPH_GET

    - #### FD_GRAPH_INSERT_NODE

          public static final FunctionDefinition FD_GRAPH_INSERT_NODE

    - #### FD_GRAPH_UPDATE_NODE

          public static final FunctionDefinition FD_GRAPH_UPDATE_NODE

    - #### FD_GRAPH_DELETE_NODE

          public static final FunctionDefinition FD_GRAPH_DELETE_NODE

    - #### FD_GRAPH_INSERT_EDGE

          public static final FunctionDefinition FD_GRAPH_INSERT_EDGE

    - #### FD_GRAPH_UPDATE_EDGE

          public static final FunctionDefinition FD_GRAPH_UPDATE_EDGE

    - #### FD_GRAPH_DELETE_EDGE

          public static final FunctionDefinition FD_GRAPH_DELETE_EDGE

  - ### Constructor Detail

    - #### StorageGraphHelper

          public StorageGraphHelper()

  - ### Method Detail

    - #### getGraphFunctionDefinitions

          public static java.util.List<FunctionDefinition> getGraphFunctionDefinitions()